HallTranslation
Date: 2019-10-22

org.jmol.symmetry

## Class HallTranslation

- java.lang.Object
- - org.jmol.symmetry.HallTranslation

-     class HallTranslation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static HallTranslation[]` | `hallTranslationTerms`
    `(package private) static java.lang.String[]` | `latticeTranslationData`
    `(package private) static int` | `nLatticeTypes`
    `(package private) int` | `rotationOrder`
    `(package private) int` | `rotationShift12ths`
    `(package private) char` | `translationCode`
    `(package private) javajs.util.P3i` | `vectorShift12ths`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HallTranslation(char translationCode, javajs.util.P3i params)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `getHallLatticeEquivalent(int latticeParameter)`
    `private static HallTranslation[]` | `getHallTerms()`
    `(package private) static HallTranslation` | `getHallTranslation(char translationCode, int order)`
    `(package private) static char` | `getLatticeCode(int latt)`
    `(package private) static java.lang.String` | `getLatticeDesignation(int latt)`
    `(package private) static java.lang.String` | `getLatticeDesignation2(char latticeCode, boolean isCentrosymmetric)`
    `(package private) static java.lang.String` | `getLatticeExtension(char latt, boolean isCentrosymmetric)`
    `(package private) static int` | `getLatticeIndex(char latt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### translationCode

          char translationCode

    - #### rotationOrder

          int rotationOrder

    - #### rotationShift12ths

          int rotationShift12ths

    - #### vectorShift12ths

          javajs.util.P3i vectorShift12ths

    - #### latticeTranslationData

          static final java.lang.String[] latticeTranslationData

    - #### nLatticeTypes

          static final int nLatticeTypes

    - #### hallTranslationTerms

          private static HallTranslation[] hallTranslationTerms

  - ### Constructor Detail

    - #### HallTranslation

          HallTranslation(char translationCode,
                          javajs.util.P3i params)

  - ### Method Detail

    - #### getHallLatticeEquivalent

          static final java.lang.String getHallLatticeEquivalent(int latticeParameter)

    - #### getLatticeIndex

          static final int getLatticeIndex(char latt)

    - #### getLatticeCode

          static final char getLatticeCode(int latt)

      Parameters:
        `latt` - SHELX index or character
      Returns:
        lattice character P I R F A B C S T or \0

    - #### getLatticeDesignation

          static final java.lang.String getLatticeDesignation(int latt)

    - #### getLatticeDesignation2

          static final java.lang.String getLatticeDesignation2(char latticeCode,
                                                               boolean isCentrosymmetric)

    - #### getLatticeExtension

          static final java.lang.String getLatticeExtension(char latt,
                                                            boolean isCentrosymmetric)

    - #### getHallTerms

          private static HallTranslation[] getHallTerms()

    - #### getHallTranslation

          static HallTranslation getHallTranslation(char translationCode,
                                                    int order)